# Deposit Vault

## **Introduction**

This guide focusses on the most common patterns of interactions with the Bounty Manager Module. Please refer to the [Technical Reference](/contracts/technical-reference/modules/funding-manager/deposit-vault/fm_depositvault_v1.md#public-functions) section to see all public getters and setters.

## **Setup Requirements**

The guide includes code snippets for Inverter Network's TypeScript SDK. Please refer to the relevant code snippets based on the SDK you are using.

1. **Set up Inverter Network SDK**: Refer to the Quick Start guides for detailed instructions. See the [React SDK Guide](/sdk/react-sdk.md) or [TypeScript SDK Guide](/sdk/typescript-sdk.md) for more information.
2. **Deploy a Workflow**: Refer to the Deploy a Workflow guide for detailed instructions. See the [React SDK Guide ](/sdk/react-sdk/deploy-a-workflow.md)or [TypeScript SDK Guide](/sdk/typescript-sdk/deploy-a-workflow.md) for more information.
3. **Retrieve a deployed Workflow**: Refer to the Operate a Workflow guide for detailed instructions. See the [React SDK Guide](/sdk/react-sdk/operate-a-workflow.md) or [TypeScript SDK Guide](/sdk/typescript-sdk/operate-a-workflow.md) for more information.

* **Optionally if your setup needs a specific contract**: Refer to the Deploy a Contract Guide for detailed instructions. See the [React SDK](/sdk/react-sdk/deploy-a-contract.md) Guide or [TypeScript SDK](/sdk/typescript-sdk/deploy-a-contract.md) Guide for more information.

## Deposit Funding

Deposits a specified amount of tokens into the contract from the sender's account.

{% code overflow="wrap" %}

```typescript
const transactionHash = await workflow.fundingManager.write.deposit.run('1000')
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.inverter.network/sdk/guides/deposit-vault.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
